Skip to main content
`Ctrl`+`K`

# numpy.unravel_index

numpy.unravel_index(indices, shape, order='C')

  Converts a flat index or array of flat indices into a tuple of coordinate arrays.

  Parameters:
    indices array_like

      An integer array whose elements are indices into the flattened version of an array of dimensions `shape`. Before version 1.6.0, this function accepted just one index value.

    shape tuple of ints

      The shape of the array to use for unraveling `indices`.

    order{‘C’, ‘F’}, optional

      Determines whether the indices should be viewed as indexing in row-major (C-style) or column-major (Fortran-style) order.

  Returns:
    unraveled_coords tuple of ndarray

      Each array in the tuple has the same shape as the `indices` array.

  See also

  `ravel_multi_index`

  Examples

      >>> import numpy as np
      >>> np.unravel_index([22, 41, 37], (7,6))
      (array([3, 6, 6]), array([4, 5, 1]))
      >>> np.unravel_index([31, 41, 13], (7,6), order='F')
      (array([3, 6, 6]), array([4, 5, 1]))

      >>> np.unravel_index(1621, (6,7,8,9))
      (3, 1, 4, 1)